---
title: Reschedule Appointments
slug: fourkites-api-reference/reschedule-appointments
icon: {"apiMethod":"PUT"}
createdAt: 2024-05-10T10:32:37.000Z
---

The Reschedule Appointments API will allow you to reschedule any necessary appointments based on the reserved slot or appointment times.

### Schedule / Reschedule Appointment on Reserved slot:&#x20;

:::ApiMethodV2
```json
{
  "name": "Schedule",
  "method": "PUT",
  "url": "https://api.fourkites.com/api/v1/update_appointment",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "YHuWp4kuWKLQLhjPJLdHb",
        "language": "curl",
        "code": "curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw '{\n    \"loadNumber\" : \"NB23b23423\",\n    \"shippingType\": \"inbound\",\n    \"reservedSlotId\": 3459\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "YHuWp4kuWKLQLhjPJLdHb"
  },
  "results": {
    "languages": [
      {
        "id": "EJ26OiLBKqWHGOpDszh19",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"statusCode\": 200,\n    \"message\": \"Appointment scheduled successfully\",\n    \"request_id\": \"cnrebhp2kfp1012q5ug0\"\n}"
      }
    ],
    "selectedLanguageId": "EJ26OiLBKqWHGOpDszh19"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "loadNumber",
        "kind": "required",
        "type": "string",
        "description": "It is the unique load identifier from shipper's system. The load number or BOL is an important piece of information used to link the load with truck information received from the Carrier's TMS."
      },
      {
        "name": "shippingType",
        "kind": "required",
        "type": "string",
        "description": "Indicates Inbound or Outbound Shipping Type",
        "children": []
      },
      {
        "name": "reservedSlotId",
        "kind": "required",
        "type": "string",
        "description": "It indicates the ID given to the slot.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "schedule",
  "legacyHash": "cIjgZTerR9C0j5gjnV-2J"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Reschedule",
  "method": "PUT",
  "url": "https://api.fourkites.com/api/v1/update_appointment",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "YHuWp4kuWKLQLhjPJLdHb",
        "language": "curl",
        "code": "curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw '{\n    \"loadNumber\" : \"NB23b23423\",\n    \"shippingType\": \"inbound\",\n    \"reservedSlotId\": 3459\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "YHuWp4kuWKLQLhjPJLdHb"
  },
  "results": {
    "languages": [
      {
        "id": "EJ26OiLBKqWHGOpDszh19",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"statusCode\": 200,\n    \"message\": \"Appointment rescheduled successfully\",\n    \"request_id\": \"cnrebhp2kfp1012q5ug0\"\n}"
      }
    ],
    "selectedLanguageId": "EJ26OiLBKqWHGOpDszh19"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "loadNumber",
        "kind": "required",
        "type": "string",
        "description": "It is the unique load identifier from shipper's system. The load number or BOL is an important piece of information used to link the load with truck information received from the Carrier's TMS."
      },
      {
        "name": "shippingType",
        "kind": "required",
        "type": "string",
        "description": "Indicates inbound or outbound Shipping Type",
        "children": []
      },
      {
        "name": "reservedSlotId",
        "kind": "required",
        "type": "string",
        "description": "It indicates the ID given to the slot.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "reschedule",
  "legacyHash": "kR9sBOrvUjrJmZCgbiex0"
}
```
:::

### To Reschedule / Schedule at a given time:&#x20;

:::ApiMethodV2
```json
{
  "name": "Schedule",
  "method": "PUT",
  "url": "https://api.fourkites.com/api/v1/update_appointment",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "YHuWp4kuWKLQLhjPJLdHb",
        "language": "curl",
        "code": "curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw\n'{\n    \"loadNumber\" : \"NB23b23423\",\n    \"shippingType\": \"inbound\",\n    \"startTime\": \"2024-03-21T09:00:00Z\",\n    \"endTime\": \"2024-03-21T10:00:00Z\"\n}'\n\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "YHuWp4kuWKLQLhjPJLdHb"
  },
  "results": {
    "languages": [
      {
        "id": "EJ26OiLBKqWHGOpDszh19",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"statusCode\": 200,\n    \"message\": \"Appointment scheduled successfully\",\n    \"request_id\": \"cnrebhp2kfp1012q5ug0\"\n}"
      }
    ],
    "selectedLanguageId": "EJ26OiLBKqWHGOpDszh19"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "loadNumber",
        "kind": "required",
        "type": "string",
        "description": "It is the unique load identifier from shipper's system. The load number or BOL is an important piece of information used to link the load with truck information received from the Carrier's TMS."
      },
      {
        "name": "shippingType",
        "kind": "required",
        "type": "string",
        "description": "Indicates Inbound or Outbound Shipping Type",
        "children": []
      },
      {
        "name": "startTime",
        "kind": "required",
        "type": "string",
        "description": "It indicates the appointment start time.",
        "children": []
      },
      {
        "name": "endTime",
        "kind": "required",
        "type": "string",
        "description": "It indicates the appointment end time.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "schedule-1",
  "legacyHash": "fwnQBf-J68gE7DoWo9tpb"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Reschedule",
  "method": "PUT",
  "url": "https://api.fourkites.com/api/v1/update_appointment",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "YHuWp4kuWKLQLhjPJLdHb",
        "language": "curl",
        "code": "curl --location --request PUT 'https://api.fourkites.com/api/v1/update_appointment' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw\n'{\n    \"loadNumber\" : \"NB23b23423\",\n    \"shippingType\": \"inbound\",\n    \"startTime\": \"2024-03-21T09:00:00Z\",\n    \"endTime\": \"2024-03-21T10:00:00Z\"\n}'\n\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "YHuWp4kuWKLQLhjPJLdHb"
  },
  "results": {
    "languages": [
      {
        "id": "EJ26OiLBKqWHGOpDszh19",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"statusCode\": 200,\n    \"message\": \"Appointment rescheduled successfully\",\n    \"request_id\": \"cnrebhp2kfp1012q5ug0\"\n}"
      }
    ],
    "selectedLanguageId": "EJ26OiLBKqWHGOpDszh19"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "loadNumber",
        "kind": "required",
        "type": "string",
        "description": "It is the unique load identifier from shipper's system. The load number or BOL is an important piece of information used to link the load with truck information received from the Carrier's TMS."
      },
      {
        "name": "shippingType",
        "kind": "required",
        "type": "string",
        "description": "Indicates Inbound or Outbound Shipping Type",
        "children": []
      },
      {
        "name": "startTime",
        "kind": "required",
        "type": "string",
        "description": "It indicates the appointment start time.",
        "children": []
      },
      {
        "name": "endTime",
        "kind": "required",
        "type": "string",
        "description": "It indicates the appointment end time.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "reschedule-1",
  "legacyHash": "xhxHDrvPxCZ6GbaAUGYFB"
}
```
:::

### Error Response:

|                                                                                                                                                                                                                                                                                                                                                                            |                |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| Invalid Auth                                                                                                                                                                                                                                                                                                                                                               | \:::BlockQuote |
| \{"message": "Invalid authentication credentials"}                                                                                                                                                                                                                                                                                                                         |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Booking Appointment on Expired Slot                                                                                                                                                                                                                                                                                                                                        | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "Reserved Slot Expired, Appointment cannot be booked on this reserved slot",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotl2at6le7hocm48apg"<br />}<br />       |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Start Time provided is greater than end Time                                                                                                                                                                                                                                                                                                                               | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "StartTime should be lesser than EndTime",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotjldh628drfoss63l0"<br />}                                               |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Load Not Found                                                                                                                                                                                                                                                                                                                                                             | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "The shipment does not have an associated appointment",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotkgqd6le7hocm48a4g"<br />}                                  |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Load with the same shipping type found in  more than 1 facility                                                                                                                                                                                                                                                                                                            | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "The shipment has multiple appointments associated",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotkdkt6le7hocm489r0"<br />}                                     |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Not passing reserved slot Id or start, end time                                                                                                                                                                                                                                                                                                                            | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "ReservedSlotId or StartTime and EndTime is required",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotlbe56le7hocm48gmg"<br />}                                   |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Invalid Reserved Slot Id                                                                                                                                                                                                                                                                                                                                                   | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "Reserved Slot Appointment not found",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotldmd6le7hocm48kb0"<br />}                                                   |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| No slots available                                                                                                                                                                                                                                                                                                                                                         | \:::BlockQuote |
|  \{<br />"code": 400,<br />"error": \{<br />"message": "This slot is no longer available, please select a different slot",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "",<br />"message": "This slot is no longer available, please select a different slot"<br />}<br />]<br />},<br />"request\_id": "cotlc3t6le7hocm48hs0"<br />} |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |
| Rescheduling Appointment to same Time                                                                                                                                                                                                                                                                                                                                      | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": \{<br />"message": "Invalid Request Params",<br />"code": 400,<br />"errors": \[<br />\{<br />"domain": "oas",<br />"reason": "Appointment is already Scheduled on the given Time",<br />"message": "Invalid Request Params"<br />}<br />]<br />},<br />"request\_id": "cotlif56le7hocm48t4g"<br />}                                    |                |
| \:::                                                                                                                                                                                                                                                                                                                                                                       |                |

